using System;

namespace ConsoleApp59
{
    class Program
    {
        static void Main(string[] args)
        {
            string e = Console.ReadLine();
            string[] e1 = e.Split(' ');
            int n = int.Parse(e1[0]);
            int q = int.Parse(e1[1]);
            string s = Console.ReadLine();
            string s2 = Console.ReadLine();
            string[] s1 = s.Split(' ');
            string[] s3 = s2.Split(' ');
            int[] a = new int[n];
            int[] b = new int[q];
            int medijan=a[(n+1)/2];
            int sajednestrane = 0;
            int j = 0;


            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s1[i]);
            }

            for (int i = 0; i < q; i++)
            {
                b[i] = int.Parse(s3[i]);
            }

            for (int i = 0; j < q;)
            {
                if (i == n)
                {
                    Console.WriteLine(sajednestrane);
                    sajednestrane = 0;
                    i = 0;
                    j++;
                    
                }
                else
                {
                    if (a[i] < b[j])
                    {
                        i++;
                        sajednestrane++;

                    }
                    else
                    {
                       if(a[i]==b[j])
                        {
                            Console.WriteLine(Math.Abs(sajednestrane +1- (n - sajednestrane)));
                        }else
                        {
                            Console.WriteLine(Math.Abs(sajednestrane - (n - sajednestrane)));
                        }
                        i = 0;
                       
                        j++;
                        sajednestrane = 0;

                    }



                }
            }
        }
    }
}